#ifndef __SYSTEM_H_INCLUDED_SW__
#define __SYSTEM_H_INCLUDED_SW__

/** \file system.h
 * \brief Does one platform \#define and \#undef-ine all other platform defines.
    \author Stefan Weisse / DESY 
	\date   2008-2022
  
	In order to tie to a special platform, a general include file named "system.h" needs to be created inside the
	project. These file should not include much, but just \#define the desired platform type. It is needed for 
	proper branching inside platform.h.

	The currently supported defines are SYSTEM_WINDOWS_VS2019_X64, SYSTEM_WINDOWS_VS2019_X86, 
	SYSTEM_WINDOWS_VS2015_X64, SYSTEM_WINDOWS_VS2015_X86 and SYSTEM_LINUX.
*/

#define SYSTEM_WINDOWS_VS2019_X64


//! \def SYSTEM_LINUX
//! defines platform Linux using gcc compiler, undefined here
#undef SYSTEM_LINUX

#endif // __SYSTEM_H_INCLUDED_SW__
