#ifndef __ALGORITHMS_H_INCLUDED_SW__
#define __ALGORITHMS_H_INCLUDED_SW__

#include <videosystem3/platform.h>

#ifdef __cplusplus
extern "C" {
#endif 

VIDEOSYSTEM3_API INT32 calculate_significance_map( const struct VIDINFHDR *signal_and_background, const struct VIDINFHDR *background, struct VIDINFHDR *out, DOUBLE sigma);
VIDEOSYSTEM3_API INT32 convert_format( struct VIDINFHDR *vinf, UINT32 newtype, UINT32 downscale_function);

VIDEOSYSTEM3_API INT32 xrayfilter( struct VIDINFHDR *vinout);

// rectangular region inside frame
// bounds: x1=0 y1=0 x2=width-1 y2=height-1
VIDEOSYSTEM3_API INT32 normalizeframes_rect( struct VIDINFHDR *vinout, UINT32 x1, UINT32 y1, UINT32 x2, UINT32 y2 );

// full frame
VIDEOSYSTEM3_API INT32 normalizeframes( struct VIDINFHDR *vinout);


#ifdef __cplusplus
}
#endif 

#endif // __ALGORITHMS_H_INCLUDED_SW__
