#ifndef __CORE_H_INCLUDED_SW__
#define __CORE_H_INCLUDED_SW__

#include <videosystem3/videosystem3.h>

/* SW Dec 5, 2012 - from now on this code should only be done in videosystem3.h
#if defined(VIDEOSYSTEM3_DLL_EXPORTS) && defined(VIDEOSYSTEM3_DLL_IMPORTS)
  #error VIDEOSYSTEM3_DLL_EXPORTS and VIDEOSYSTEM3_DLL_IMPORTS must not be defined at the same time
#endif

#if defined(VIDEOSYSTEM3_DLL_EXPORTS)
  #define VIDEOSYSTEM3_API __declspec(dllexport)
#elif defined (VIDEOSYSTEM3_DLL_IMPORTS)
  #define VIDEOSYSTEM3_API __declspec(dllimport)
#else
  // define to 'nothing'
  #define VIDEOSYSTEM3_API 
#endif
*/


#ifdef __cplusplus
    extern "C" {
#endif 

    #define		FCN_NONE			0
    #define		FCN_AVERAGE			1
    #define		FCN_ENVELOPE		2 
    #define		FCN_SIGNIFICANCE	3 

    // type of file, also used as type information for data stored in a VIDINFHDR
    #define		TYPE_NONE_EMPTY		-1
    #define		TYPE_CHOOSE			 0
    #define		TYPE_IMM			 1
    #define		TYPE_IMC			 2 
    #define		TYPE_BKG			 3
    #define		TYPE_BKC			 4
    #define		TYPE_SIGNIFICANCE	 5
    #define		TYPE_BMP             6 // SW added Jan 18, 2013

    // required structure

    struct VIDINFHDR
    {
        UINT32	width;
        UINT32	height;
        UINT32	bpp;
        UINT32	bpp_effective;
    
        DOUBLE	scale;
    
        INT32	numframes;
    
        INT32	type; // TYPE_

        void  **framebits;
        DOUBLE *framescales;
    };

    VIDEOSYSTEM3_API void	initialize_vidinfhdr	( struct VIDINFHDR *vinf );
    VIDEOSYSTEM3_API void	free_vidinfhdr			( struct VIDINFHDR *vinf );

#ifdef __cplusplus
    }
#endif 

#endif // __CORE_H_INCLUDED_SW__
